﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Problems.ProgramSynthesis.Push.Creator {
  using HeuristicLab.Core;
  using HeuristicLab.Encodings.IntegerVectorEncoding;
  using HeuristicLab.Optimization;
  using HeuristicLab.Problems.ProgramSynthesis.Push.Configuration;
  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;

  public interface IPushProgramCreator : IIntegerVectorCreator {
    PushProgram CreateProgram(IRandom random, IReadOnlyPushConfiguration config);
  }
}
