﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Stack {
  using System.Collections;

  public interface IPushStackBase : IEnumerable {
    bool IsEmpty { get; }

    bool IsEnabled { get; }

    void Swap(int count);

    void Yank(int index);
    void RemoveTop();

    void Remove(int count);

    void RemoveAt(int index);

    void RemoveAt(int index, int count);
  }
}
